﻿using System;
using System.Threading.Tasks;
using Amazon.S3;
using Amazon.S3.Model;
using System.IO;

namespace AWSXamMacTest
{
	public static class S3Test
	{
		public static async Task TestAsync()
		{
			var s3Client = new AmazonS3Client(null);
			var getResponse = await s3Client.GetObjectAsync(new GetObjectRequest
			{
				BucketName = "aws-xam-mac-test",
				Key = "device_type.txt"
			});

			using (var dataStream = getResponse.ResponseStream)
			using (var sr = new StreamReader(dataStream))
			{
				var data = await sr.ReadToEndAsync();
				Console.WriteLine(data);
			}
		}
	}
}

